commit: 11b6b0c6b514720306b82153c9e8068d885c7b97
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 3 20:35:44 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 3 20:45:54 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11b6b0c6
dev-python/aiotest: Remove py2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/aiotest/aiotest-0.3.ebuild | 9 ++-------
1 file changed, 2 insertions(+), 7 deletions(-)
diff --git a/dev-python/aiotest/aiotest-0.3.ebuild
b/dev-python/aiotest/aiotest-0.3.ebuild
index f17915b2cd3..c0439245890 100644
--- a/dev-python/aiotest/aiotest-0.3.ebuild
+++ b/dev-python/aiotest/aiotest-0.3.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python2_7 python3_6 )
+PYTHON_COMPAT=( python3_6 )
inherit distutils-r1
DESCRIPTION="Test suite for an implementation of asyncio (PEP 3156)"
@@ -15,14 +15,9 @@ SLOT="0"
KEYWORDS="amd64 ~arm64 x86"
IUSE=""
-RDEPEND="
- $(python_gen_cond_dep 'dev-python/trollius[${PYTHON_USEDEP}]' python2_7)
- $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
- local suite
- python_is_python3 && suite=asyncio || suite=trollius
- "${PYTHON}" "test_${suite}.py" || die "Tests fail with ${EPYHON}
(${suite})"
+ "${PYTHON}" "test_asyncio.py" || die "Tests fail with ${EPYTHON}"
}